spring:
    messages:
        cache-duration: -1
        basename: classpath:i18n/messages/message
        encoding: UTF-8
    quartz:
        scheduler-name: ecmsbScheduler
# quartz.job-store-type을 별도 지정하지 않으면 memory 기반으로 동작하며 어플리케이션 재시작 시 데이터는 사라진다.
#        job-store-type: jdbc
#        jdbc.initialize-schema: never
    batch:
        job:
            enabled: false
            names: ${job.name:NONE}

# Schedule
cron:
    #상품
    goods:
        benefit.create: 2 22 2 29 2 ?                 #상품 혜택 생성
        benefit.price.create: 2 22 2 29 2 ?           #상품 즉시할인가 생성
        ep:
            naver:
                all.goods.create: 2 22 2 29 2 ?      #네이버 전체EP 생성
                summary.goods.create: 2 22 2 29 2 ?  #네이버 요약EP 생성
                sell.create: 2 22 2 29 2 ?           #네이버 판매지수EP 생성
            daum:
                all.goods.create: 2 22 2 29 2 ?      #다음 전체EP 생성
                summary.goods.create: 2 22 2 29 2 ?  #다음 요약EP 생성
                review.create: 2 22 2 29 2 ?         #다음 상품평EP 생성
        reserve:
            titlename.apply: 2 22 2 29 2 ?        #상품 예약타이틀명(=세일링문구) 적용
            price.apply: 2 22 2 29 2 ?            #상품 예약가격 적용
        #infants.safe: 2 22 2 29 2 ?
        relgoods.scoring: 2 22 2 29 2 ?           #연관상품 스코어링
        keyword.create: 2 22 2 29 2 ?             #상품 검색어 생성
        summary.create: 2 22 2 29 2 ?             #상품 요약정보 생성
        social.price.apply : 2 22 2 29 2 ?        #소셜상품의 가격 적용
        wms:
            incomelot.receive: 2 22 2 29 2 ?      #WMS 입고상품 수신
            stock.receive: 2 22 2 29 2 ?          #WMS 상품재고 수신
            measurement.receive: 2 22 2 29 2 ?    #WMS 실측사이즈 수신
            brandprovider.send: 2 22 2 29 2 ?     #WMS 업체/브랜드 송신
            goods.send: 2 22 2 29 2 ?             #WMS 상품정보 송신
        shop.stock.receive: 2 22 2 29 2 ?         #ERP 매장재고 수신
        search:
            all.create: 2 22 2 29 2 ?            #검색전체색인 생성
            section.create: 2 22 2 29 2 ?        #검색부분색인 생성
        reinbound.notify:  2 22 2 29 2 ?           #재입고알림톡 발송

    # 회원(고객)
    customer:
        dormant:
            create: 2 22 2 29 2 ?              #휴면예정회원 생성
            transform: 2 22 2 29 2 ?           #휴면회원 처리
        secede.transform: 2 22 2 29 2 ?        #탈퇴처리
        privacy.info.notify: 2 22 2 29 2 ?     #개인정보이용내역안내(가입일로부터 1년 시점에 발송)
        marketing.info.notify: 2 22 2 29 2 ?   #마케팅정보수신동의내역안내(마케팅 정보 수신자에 한해 발송. 가입일로부터 2년 시점에 발송)
        grade.change: 2 22 2 29 2 ?            #회원등급변경(매월1일)
        netpathy.mail.sync: 2 22 2 29 2 ?      #넷퍼시메일솔루션에 회원정보 연동(매일 1회)
        auto.buy.confirm: 2 22 2 29 2 ?        #자동구매확정(예정포인트 지급)
        birth.coupon.notify: 2 22 2 29 2 ?     #생일쿠폰 다운로드 안내(당월 생일인 회원을 대상으로 해당 월 1일에 발송)
        comback.coupon.notify: 2 22 2 29 2 ?   #복귀할인쿠폰발급안내(매월 5일)
        point.expire: 2 22 2 29 2 ?            #포인트 소멸 처리
        giftcard.expire : 2 22 2 29 2 ?        #상품권 소멸 처리
        review.register.notify: 2 22 2 29 2 ?  #상품평등록안내 발송(일배치)
        giftcard.expect.notify : 2 22 2 29 2 ? #상품권 소멸예정 알림톡
        point.expect.notify : 2 22 2 29 2 ?    #포인트 소멸예정 알림톡
        coupon.expect.notify : 2 22 2 29 2 ?   #쿠폰 소멸예정 알림톡
        

    # 전시
    display:
        category.refresh: 2 22 2 29 2 ?        #카테고리 갱신
        category.stock.create: 2 22 2 29 2 ?   #카테고리별 재고 생성
        category.filter.create: 2 22 2 29 2 ?  #카테고리별 검색필터 생성

    # 주문
    order:
        cart.deadline.expire: 2 22 2 29 2 ?     #만료기간 지난 장바구니 삭제
        deposit.waiting.notify: 2 22 2 29 2 ?   #무통장(가상계좌) 입금대기 알림
        deposit.deadline.expire: 2 22 2 29 2 ?  #무통장입금 입금기한 만료건 주문 취소
        gift.deadline.expire: 2 22 2 29 2 ?     #선물하기 배송지 등록기한 만료건 주문 취소
        pg.kcp.settle.receive: 2 22 2 29 2 ?    #KCP PG 정산 데이터 수신

    #네이버페이
    naverPay.order.batch: 2 22 2 29 2 ?        # 네이버페이 배치 실행

    #배송
    delivery:
        shot.deliveryzone.refresh: 2 22 2 29 2 ?       #총알배송 권역정보 갱신(매일 11시)
        loc.assign: 2 22 2 29 2 ?                      #출고처 지정 및 배송(출고) 지시
        wms:
            outgoing.exception.receive: 2 22 2 29 2 ?  #WMS 출고예외 수신
            outgoing.result.receive: 2 22 2 29 2 ?     #WMS 출고결과 수신
            invoice.receive: 2 22 2 29 2 ?             #WMS 운송장번호 수신
        sweettracker.invoice.retrieve: 2 22 2 29 2 ?   #스윗트래커 송장상태 조회
        auto.soldout.cancel: 2 22 2 29 2 ?             #자동품절취소

    #회수
    withdraw:
        wms:
            request: 2 22 2 29 2 ?                       #WMS 회수요청
            ingoing:
                exception.receive: 2 22 2 29 2 ?         #WMS 회수입고예외 수신
                exception.result.receive: 2 22 2 29 2 ?  #WMS 회수입고예외 결과 수신
                result.receive: 2 22 2 29 2 ?            #WMS 회수입고결과 수신
        cj:
            invoice.receive: 2 22 2 29 2 ?               #CJ 회수송장번호 수신
            status.receive: 2 22 2 29 2 ?                #CJ 회수상태 수신

    #통계
    statistics:
        aflink.inflow.create: 2 22 2 29 2 ?            #유입통계
        aflink.inflow.yesterday.create: 2 22 2 29 2 ?  #어제일자유입통계

    #모니터링
    monitoring:
        dayJob: 2 22 2 29 2 ?   #일별 모니터링
        hourJob: 2 22 2 29 2 ?  #시간별 모니터링

    # 샵링커
    shoplinker:
        stock.send: 2 22 2 29 2 ?        				#재고
        order.receive: 2 22 2 29 2 ?       				#주문
        invoice.send: 2 22 2 29 2 ?        				#송장



